/*
    SpecRunner - Acceptance Test Driven Development Tool
    Copyright (C) 2011-2012  Thiago Santos

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
 */
package org.specrunner.plugins.impl;

import org.specrunner.plugins.IPlugin;

/**
 * Default no-operation plugin.
 * 
 * @author Thiago Santos.
 * 
 */
public final class PluginNop extends AbstractPlugin {

    private static ThreadLocal<IPlugin> instance = new ThreadLocal<IPlugin>() {
        @Override
        protected IPlugin initialValue() {
            return new PluginNop();
        };
    };

    private PluginNop() {
    }

    /**
     * Returns the singleton version of the plugin.
     * 
     * @return
     */
    public static IPlugin emptyPlugin() {
        return instance.get();
    }

    @Override
    public String toString() {
        return "nope";
    }
}